Skip to main content
POST
Token Request

Authorizations

Authorization
string
header
required

Authentication using query parameters

Query Parameters

grant_type
enum<string>
required

OAuth 2.0 response type requested

Available options:
authorization_code,
refresh_token,
password,
client_credentials,
urn:ietf:params:oauth:grant-type:device_code,
urn:amdocs:params:oauth:grant-type:token-exchange
code
string
required

Authorization Code

client_id
string
required

OAuth 2.0 client-ID of the Relying Party

client_secret
string

OAuth 2.0 client secret of the Relying Party

redirect_uri
string

Redirection URI to which the response will be sent. Must match configured values for the Relying Party

response_mode
string

(Optional) Unused

nonce
string

(Optional) Opaque value to be included in the ID Token

prompt
string

(Optional) Allowed authentication methods

max_age
string

(Optional) Maximum authentication age

id_token_hint
string

(Optional) Previously-issued ID Token to be used as a reference

login_hint
string

(Optional) Suggested User-ID

actor_token
string

A security token that represents the identity of the acting party. Typically, this will be the party that is authorized to use the requested security token and act on behalf of the subject. This is required for the urn:amdocs:params:oauth:grant-type:token-exchange grant.

Response

OK

Token Response

access_token
string

JWT access token

Example:

"tokenValue"

expires_in
integer

Expiry time of the acess token

Example:

3599

id_token
string

JWT Id token

Example:

"tokenValue"

refresh_token
string

JWT refresh token (unsigned)

Example:

"tokenValue"

scope
string

Scopes for that client

Example:

"openid offline_access profile"

token_type
string

The type of the token. (E.g. "Bearer")

Example:

"Bearer"